PatchedDefaultFlushEventListener (Grails 2.2.5)
Date: 2014-03-04

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.events
[Java] Class PatchedDefaultFlushEventListener

    java.lang.Object
      org.hibernate.event.def.AbstractFlushingEventListener
          org.hibernate.event.def.DefaultFlushEventListener
              org.codehaus.groovy.grails.orm.hibernate.events.PatchedDefaultFlushEventListener

    public class PatchedDefaultFlushEventListener
    extends org.hibernate.event.def.DefaultFlushEventListener

Patches Hibernate to prevent this issue http://opensource.atlassian.com/projects/hibernate/browse/HHH-2763 TODO: Remove this patch when HHH-2763 is resolved

Authors:
  Graeme Rocher

Since:
  1.2

Method Summary
`protected void` | `performExecutions(org.hibernate.event.EventSource session)`

Methods inherited from class org.hibernate.event.def.DefaultFlushEventListener
org.hibernate.event.def.DefaultFlushEventListener#onFlush(org.hibernate.event.FlushEvent), org.hibernate.event.def.DefaultFlushEventListener#wait(), org.hibernate.event.def.DefaultFlushEventListener#wait(long, int), org.hibernate.event.def.DefaultFlushEventListener#wait(long), org.hibernate.event.def.DefaultFlushEventListener#equals(java.lang.Object), org.hibernate.event.def.DefaultFlushEventListener#toString(), org.hibernate.event.def.DefaultFlushEventListener#hashCode(), org.hibernate.event.def.DefaultFlushEventListener#getClass(), org.hibernate.event.def.DefaultFlushEventListener#notify(), org.hibernate.event.def.DefaultFlushEventListener#notifyAll()

Methods inherited from class org.hibernate.event.def.AbstractFlushingEventListener
org.hibernate.event.def.AbstractFlushingEventListener#wait(), org.hibernate.event.def.AbstractFlushingEventListener#wait(long, int), org.hibernate.event.def.AbstractFlushingEventListener#wait(long), org.hibernate.event.def.AbstractFlushingEventListener#equals(java.lang.Object), org.hibernate.event.def.AbstractFlushingEventListener#toString(), org.hibernate.event.def.AbstractFlushingEventListener#hashCode(), org.hibernate.event.def.AbstractFlushingEventListener#getClass(), org.hibernate.event.def.AbstractFlushingEventListener#notify(), org.hibernate.event.def.AbstractFlushingEventListener#notifyAll()

Method Detail

### performExecutions

    @Override
    protected void performExecutions(org.hibernate.event.EventSource session)

Groovy Documentation